## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autochangelog
## END: Set by rpmautospec

%global libgmobile_commit f4d4e5740c3e4b2de40864ab8a9e7b7f957d6aec

Name:		phoc
Version:	0.32.0
Release:	3%{?dist}
Summary:	Display compositor designed for phones

License:	GPLv3+
URL:		https://gitlab.gnome.org/World/Phosh/phoc
Source0:	https://gitlab.gnome.org/World/Phosh/phoc/-/archive/v%{version}/%{name}-v%{version}.tar.gz

Source1:	https://gitlab.gnome.org/guidog/gmobile/-/archive/%{libgmobile_commit}/gmobile-%{libgmobile_commit}.tar.gz

BuildRequires:	gcc
BuildRequires:	meson
BuildRequires:	cmake

BuildRequires:	pkgconfig(gio-2.0) >= 2.50.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.50.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.50.0
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(libinput)
BuildRequires:	pkgconfig(pixman-1)
BuildRequires:	pkgconfig(wayland-client)
BuildRequires:	pkgconfig(wayland-protocols) >= 1.15
BuildRequires:	pkgconfig(wayland-server)
BuildRequires:	pkgconfig(xkbcommon)
BuildRequires:	(pkgconfig(wlroots) >= 0.16.2 with pkgconfig(wlroots) < 0.17)

BuildRequires:	pkgconfig(gnome-desktop-3.0)

%description
Phoc is a wlroots based Phone compositor as used on the Librem5. Phoc is
pronounced like the English word fog.


%prep
%setup -a1 -q -n %{name}-v%{version}

mv gmobile-%{libgmobile_commit} subprojects/gmobile

%build
%meson -Dembed-wlroots=disabled
%meson_build


%install
%meson_install


%files
%{_bindir}/phoc
%{_datadir}/glib-2.0/schemas/sm.puri.phoc.gschema.xml
%{_datadir}/applications/sm.puri.Phoc.desktop
%{_datadir}/icons/hicolor/symbolic/apps/sm.puri.Phoc.svg

%doc README.md
%license COPYING

%changelog
## START: Generated by rpmautospec
* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.32.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.32.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Oct 17 2023 torbuntu <torbuntu@fedoraproject.org> - 0.32.0-1
- Update to 0.32.0

* Sun Aug 06 2023 torbuntu <torbuntu@fedoraproject.org> - 0.30.0-1
- Update to 0.30.0

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.29.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jul 15 2023 torbuntu <torbuntu@fedoraproject.org> - 0.29.0-1
- Update to 0.29.0

* Wed May 31 2023 torbuntu <torbuntu@fedoraproject.org> - 0.28.0-1
- Update to 0.28.0

* Wed May 17 2023 torbuntu <torbuntu@fedoraproject.org> - 0.27.0-1
- Update to 0.27.0

* Fri Mar 31 2023 torbuntu <torbuntu@fedoraproject.org> - 0.26.0-2
- Uploading correct source

* Fri Mar 31 2023 torbuntu <torbuntu@fedoraproject.org> - 0.26.0-1
- Update to 0.26.0

* Wed Mar 29 2023 torbuntu <torbuntu@fedoraproject.org> - 0.25.2-1
- Update phoc to 0.25.2

* Thu Mar 02 2023 torbuntu <torbuntu@fedoraproject.org> - 0.25.0-1
- Update to 0.25.0

* Wed Feb 01 2023 torbuntu <torbuntu@fedoraproject.org> - 0.24.0-1
- Update to 0.24.0

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.23.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jan 14 2023 torbuntu <torbuntu@fedoraproject.org> - 0.23.0-1
- Update to 0.23.0

* Thu Sep 01 2022 torbuntu <torbuntu@fedoraproject.org> - 0.21.1-1
- Update to 0.21.1

* Thu Aug 04 2022 torbuntu <torbuntu@fedoraproject.org> - 0.21.0-1
- Update to 0.21.0

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.0~beta1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jul 20 2022 Kalev Lember <klember@redhat.com> - 0.21.0~beta1-2
- Rebuilt for libgnome-desktop soname bump

* Mon Jun 27 2022 torbuntu <sorensentor@tuta.io> - 0.21.0~beta1-1
- Update to 0.21.0_beta1

* Fri Mar 25 2022 torbuntu <torbuntu@fedoraproject.org> - 0.13.0-1
- Update to 0.13

* Tue Jan 25 2022 torbuntu <torbuntu@fedoraproject.org> - 0.12.0-1
- Update to 0.12.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jan 19 2022 torbuntu <torbuntu@fedoraproject.org> - 0.11.0-3
- Last try

* Wed Jan 19 2022 torbuntu <torbuntu@fedoraproject.org> - 0.11.0-2
- Real update to 0.11.0

* Wed Jan 19 2022 torbuntu <torbuntu@fedoraproject.org> - 0.11.0-1
- Upgrade to 0.11.0

* Thu Dec 16 2021 torbuntu <sorensentor@tuta.io> - 0.10.0-1
- Revert

* Thu Dec 16 2021 torbuntu <sorensentor@tuta.io> - 0.11.0-1
- Update to 0.11.0

* Thu Dec 16 2021 torbuntu <sorensentor@tuta.io> - 0.10.0-1
- Update to 0.10.0

* Thu Oct 28 2021 torbuntu <sorensentor@tuta.io> - 0.9.0-1
- Update to 0.9.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jul 10 2021 torbuntu <sorensentor@tuta.io> - 0.8.0-1
- Update to 0.8.0

* Mon Jun 14 2021 torbuntu <sorensentor@tuta.io> - 0.7.1-1
- Update to 0.7.1

* Sun Apr 18 2021 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.7.0-2
- Pin wlroots dependency to 0.12 compat package

* Fri Mar 19 2021 torbuntu <sorensentor@tuta.io> - 0.7.0-1
- Update to 0.7.0

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jan 05 2021 torbuntu <sorensentor@tuta.io> - 0.6.0-1
- Update phoc to 0.6.0

* Thu Nov 19 2020 torbuntu <sorensentor@tuta.io> - 0.5.1-1
- Update phoc to 0.5.1

* Sat Nov 14 2020 torbuntu <sorensentor@tuta.io> - 0.5.0-1
- Update to 0.5.0

* Tue Oct 27 2020 torbuntu <sorensentor@tuta.io> - 0.4.4-1
- Update phoc to 0.4.4

* Thu Oct 08 2020 torbuntu <sorensentor@tuta.io> - 0.4.3-1
- Update phoc to 0.4.3

* Thu Aug 06 2020 torbuntu <sorensentor@tuta.io> - 0.4.2-1
- Update to 0.4.2

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 24 2020 torbuntu <sorensentor@tuta.io> - 0.4.1-2
- Rebuild for new wlroot version

* Wed Jul 22 2020 torbuntu <sorensentor@tuta.io> - 0.4.1-1
- Update phoc to 0.4.1

* Tue Jun 30 2020 torbuntu <sorensentor@tuta.io> - 0.4.0-1
- Update phoc to 0.4.0

* Tue Jun 23 2020 torbuntu <sorensentor@tuta.io> - 0.1.9-1
- Updating Phoc to 0.1.9

* Thu Jun 11 2020 torbuntu <sorensentor@tuta.io> - 0.1.8-2
- Updating phoc to 0.1.8

* Thu Jun 11 2020 Torrey Sorensen <sorensentor@tuta.io> - 0.1.8-1
- Update phoc.spec

* Thu Mar 26 2020 Nikhil Jha <hi@nikhiljha.com> - 0.1.7-2
- remove unneeded patches

* Thu Mar 26 2020 Nikhil Jha <hi@nikhiljha.com> - 0.1.7-1
- Update to 0.1.7 with upstreamed patches

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Oct 11 2019 Lubomir Rintel <lkundrak@v3.sk> - 0.1.0-2
- Fix build with newer wlroots

* Fri Oct 11 2019 Lubomir Rintel <lkundrak@v3.sk> - 0.1.0-1
- phoc-0.1.0-1.fc31.src.rpm
## END: Generated by rpmautospec
